## tk8.5 8.5.11

=== debian/changelog ===
tk8.5 (8.5.11-2ubuntu4) raring; urgency=low

  * Make tk8.5-dev depend on dpkg-dev for dpkg-architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Apr 2013 13:46:32 +0100

tk8.5 (8.5.11-2ubuntu3) raring; urgency=low

  * Provide /usr/lib/tk8.5/tkConfig.sh for compatibility, fixing build
    failures elsewhere.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Apr 2013 12:13:21 +0100

tk8.5 (8.5.11-2ubuntu2) raring; urgency=low

  * Cope with multiarch tcl8.5.
  * Convert to multiarch, splitting out libtk8.5.so.0 into a tk8.5-lib
    package and using multiarch paths (LP: #1122120).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Mar 2013 12:17:55 +0000

tk8.5 (8.5.11-2ubuntu1) raring; urgency=low

  * Preseed undetectable strtod values to autoconf for cross-builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 08 Dec 2012 00:58:41 -0700

tk8.5 (8.5.11-2) unstable; urgency=low

  * Install FontId(3tk) and MeasureChar(3tk) manpages because they are
    referenced in the other manpages.
  * Fixed references to tclvars manpage.
  * Removed Chris Waters wrom the uploaders list (closes: #664117).
  * Added ${misc:Depends} substitution variable to debian/control because the
    package uses debhelper.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags (closes: #658018).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 May 2012 20:00:35 +0400

tk8.5 (8.5.11-1) unstable; urgency=low

  * New upstream release.
  * Added build-arch and build-indep targets to debian/rules (closes: #648883).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Dec 2011 10:50:37 +0400

tk8.5 (8.5.10-1) unstable; urgency=low

  * New upstream release (closes: #580731).
  * Changed wish8.5 alternative priority to 850 to make it higher than wish8.4
    priority (closes: #585942).
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jun 2011 12:14:18 +0400

tk8.5 (8.5.9-2) unstable; urgency=low

  * Moved /usr/share/tcltk/tk8.5/tkConfig.sh back to the /usr/lib/tk8.5
    directory because it is architecture dependent.
  * Fixed Xft detection in configure script, which is broken since xft-config
    was removed from the libxft-dev package.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 20:02:25 +0300

tk8.5 (8.5.9-1) experimental; urgency=low

  * New upstream release.
  * Removed unused patches from debian/patches.
  * Fixed license in debian/copyright.
  * Added ${misc:Depends} to debian/control file because the binary packages
    are built using debhelper.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Nov 2010 13:56:40 +0300

tk8.5 (8.5.8-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2009 22:52:55 +0300

tk8.5 (8.5.7-2) unstable; urgency=low

  * Added libxft-dev to tk8.5-dev dependencies because -lXft is stored in
    tkConfig.sh configuration script.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Oct 2009 11:10:23 +0300

tk8.5 (8.5.7-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.1.
  * Removed patch which copied newly created image format name because the
    bug is fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Apr 2009 19:09:21 +0400

tk8.5 (8.5.6-3) unstable; urgency=low

  * Don't remove wish alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable
    (closes: #517182).
  * Added a patch which copies image format name internally and doesn't
    require it to live till the end of thread life (closes: #517159).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:38:14 +0300

tk8.5 (8.5.6-2) unstable; urgency=low

  * Upload to unstable.
  * Fixed showing widget options in manual pages (closes: #516311).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Feb 2009 16:34:01 +0300

tk8.5 (8.5.6-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed mirrored text in canvas postscript because
    the bug is fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Dec 2008 14:24:03 +0300

tk8.5 (8.5.5-1) experimental; urgency=low

  * New upstream release.
  * Fixed bug with mirrored text in canvas postscript output
    (closes: #498408).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Oct 2008 12:41:07 +0400

tk8.5 (8.5.4-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Aug 2008 16:40:42 +0400

tk8.5 (8.5.3-4) unstable; urgency=low

  * Fixed bug with mirrored text in canvas postscript output
    (closes: #498408).
  * Install ttk private headers which are necessary to develop ttk extensions
    or themes (closes: #500934, #504981).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Nov 2008 19:31:30 +0300

tk8.5 (8.5.3-3) unstable; urgency=low

  * Added missing libxss-dev and libxext-dev dependencies to tk8.5-dev
    package (closes: #491629).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Jul 2008 11:24:51 +0400

tk8.5 (8.5.3-2) unstable; urgency=low

  * Added a patch by upstream to mitigate a design bug in Tk event system
    (Tk events break if built with x11proto-core 7.0.13).
  * Decreased priority of tclsh (and corresponding manpage) alternative
    because tcl8.4 is still a default Tcl package.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 20:47:11 +0400

tk8.5 (8.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Jul 2008 21:10:05 +0400

tk8.5 (8.5.2-2) unstable; urgency=low


