## tk8.5 8.5.15

=== debian/changelog ===
tk8.5 (8.5.15-2ubuntu3) trusty; urgency=medium

  * Remove version conflicts for libtk8.5 to facilitate apt choosing the
    correct upgrade path

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Feb 2014 14:22:42 -0800

tk8.5 (8.5.15-2ubuntu2) trusty; urgency=medium

  * Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 00:52:42 +0100

tk8.5 (8.5.15-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Preseed undetectable strtod values to autoconf for cross-builds.
  * tk8.5: Depend on tcl8.5, libtk8.5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Jan 2014 22:14:48 +0100

tk8.5 (8.5.15-2) experimental; urgency=low

  * Added the libtk8.5-dbg package with libtk8.5 debug symbols in it.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Oct 2013 21:56:07 +0400

tk8.5 (8.5.15-1) experimental; urgency=low

  * New upstream release.
  * Renamed the development package back to tk8.5-dev after a discussion on
    debian-devel mailing list.
  * Make tk8.5-doc replace tk8.5 because of moving the
    /usr/share/tcltk/tk8.5/demos link (closes: #722940).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:42:34 +0400

tk8.5 (8.5.14-5) experimental; urgency=low

  * Removed unnecessary patch to tkPort.h.
  * Make libtk8.5-dev depend on tk8.5 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:24:55 +0400

tk8.5 (8.5.14-4) experimental; urgency=low

  * Renamed tcl8.5-lib and tcl8.5-dev packages to libtcl8.5 and libtcl8.5-dev
    because the latter is much more common naming scheme.
  * Added conflict with older tk8.5 to the tk8.5-doc package (a link to
    Tk demos was moved from one package to the other).
  * Fixed the maintainer 'name'.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 11:50:48 +0400

tk8.5 (8.5.14-3) experimental; urgency=low

  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tk8.5-lib
    library package with libtk8.5.so and tkConfig.sh moved into a
    multi-archified location (closes: #703421).
  * Recreated /usr/lib/tk8.5/tkConfig.sh for backward compatibility (intend
    to remove in the future).
  * Removed .0 suffix from the libtk8.5.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tk8.5-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/wish. This
    package ships only /usr/bin/wish8.5. The tcltk-defaults package provides
    the necessary symlink. This also means that tk8.5 does no longer provide
    the wish virtual package.
  * Moved the old changelog to the tk8.5-doc package to reduce size of the
    tk8.5 one.
  * Moved the Tk demos to the tk8.5-doc package.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 22:20:13 +0400

tk8.5 (8.5.14-2) unstable; urgency=low

  * Fixed loading Tk library, broken in experimental.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 26 Jun 2013 12:06:23 +0400

tk8.5 (8.5.14-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Apr 2013 14:03:59 +0400

tk8.5 (8.5.13-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 24 Nov 2012 12:08:12 +0400

tk8.5 (8.5.12-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 28 Jul 2012 10:54:19 +0400
