## tk8.5 8.5.17

=== debian/changelog ===
tk8.5 (8.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Oct 2014 23:28:23 +0400

tk8.5 (8.5.16-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Aug 2014 19:23:03 +0400

tk8.5 (8.5.15-4) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 08:52:10 +0400

tk8.5 (8.5.15-3) experimental; urgency=low

  * Fixed version in replacing tk8.5 by tk8.5-doc due to moving demos
    (closes: #722940).
  * Restored tk8.5 prerm script which removes alternative for /usr/bin/wish
    (closes: #720143).
  * Export ac_cv_func_strtod=yes and tcl_cv_strtod_buggy=1 to help with
    cross-build (closes: #695444).
  * Added ${misc:Depends} substvar for libtk8.5-dbg package.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 12:14:21 +0400
