=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/architecture.mk
 
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-  CROSSCONF = ac_cv_func_strtod=yes tcl_cv_strtod_buggy=1
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+       export ac_cv_func_strtod=yes
+       export tcl_cv_strtod_buggy=1
 endif
 
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -34,8 +35,7 @@
 		      --enable-threads \
 		      --disable-rpath \
 		      --enable-xft \
-		      --enable-man-symlinks \
-		      $(CROSSCONF)
+		      --enable-man-symlinks
 
 override_dh_auto_build:
 	$(MAKE) -C unix
@@ -122,8 +122,8 @@
 	dh_shlibdeps -ldebian/libtk$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
-	wget -O tk$(v)_$(v).15.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/tcl/tk$(v).15-src.tar.gz
+	wget -O tk$(v)_$(v).17.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/tcl/tk$(v).17-src.tar.gz
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
 	override_dh_auto_install override_dh_compress  override_dh_strip \
