## tk8.5 8.5.18

=== debian/changelog ===
tk8.5 (8.5.18-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1417563).  Remaining changes:
    - Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 11 May 2015 12:31:01 +0200

tk8.5 (8.5.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2015 14:20:52 +0300

tk8.5 (8.5.18-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 10:17:31 +0300
