## tk8.5 8.5.19

=== debian/changelog ===
tk8.5 (8.5.19-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Add conflicts/replaces for tcl8.5-lib to libtcl8.5 renaming.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:41:20 +0100

tk8.5 (8.5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 16:04:55 +0300

tk8.5 (8.5.18-3) unstable; urgency=medium

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811119).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 13:08:59 +0300
