=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), x11proto-core-dev,
  libx11-dev, libxss-dev, libxext-dev, libxft-dev, tcl8.5-dev (>= 8.5.14-3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.tcl.tk/
 
 Package: tk8.5
@@ -44,7 +44,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libtk8.5 (= ${binary:Version})
+Depends: libtk8.5 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Symbol files for libtk8.5
  Tk is a cross-platform graphical toolkit which provides the Motif
@@ -75,8 +75,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: tk8.5
-Conflicts: tkdoc, tk8.3-doc, tk8.4-doc, tk8.5 (<< 8.5.14-2)
-Replaces: tk8.5 (<< 8.5.14-2)
+Conflicts: tkdoc, tk8.3-doc, tk8.4-doc, tk8.5 (<< 8.5.14-3~)
+Replaces: tk8.5 (<< 8.5.14-3~)
 Provides: tkdoc
 Description: Tk toolkit for Tcl and X11, v8.5 - manual pages
  Tk is a cross-platform graphical toolkit which provides the Motif
