=== debian/rules ===
--- 
+++ 
@@ -113,17 +113,16 @@
 	dh_strip -plibtk$(v) --dbg-package=libtk$(v)-dbg
 	dh_strip -a -Nlibtk$(v)
 
-override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
+override_dh_makeshlibs:
 	dh_makeshlibs -a
-	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs >>debian/libtk$(v).postinst.debhelper
-	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs >>debian/libtk$(v).postrm.debhelper
+	echo 'activate-noawait ldconfig' >>debian/libtk$(v).triggers
 
 override_dh_shlibdeps:
 	dh_shlibdeps -ldebian/libtk$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
-	wget -O tk$(v)_$(v).18.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/tcl/tk$(v).18-src.tar.gz
+	wget -O tk$(v)_$(v).19.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/tcl/tk$(v).19-src.tar.gz
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
 	override_dh_auto_install override_dh_compress  override_dh_strip \
