=== debian/watch ===
version=3
http://sf.net/tcl/tk(8\.5\.\d+)-src\.tar\.gz
